Bug 1647762 - Satellite does not import facts from virt-who reported Hypervisors
Summary: Satellite does not import facts from virt-who reported Hypervisors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Fact
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Radovan Drazny
URL:
Whiteboard:
: 1638814 (view as bug list)
Depends On: 1431232
Blocks: 1647003
TreeView+ depends on / blocked
 
Reported: 2018-11-08 10:10 UTC by Evgeni Golov
Modified: 2019-10-07 17:20 UTC (History)
13 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.12-1
Doc Type: Enhancement
Doc Text:
Clone Of: 1431232
Environment:
Last Closed: 2019-05-14 12:38:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:47 UTC
Foreman Issue Tracker 25407 None None None 2018-11-08 10:15:05 UTC
Foreman Issue Tracker 25415 None None None 2018-11-08 10:14:22 UTC
Red Hat Bugzilla 1647724 None NEW GET /consumers does not include consumer facts 2019-09-05 19:22:41 UTC

Comment 1 Evgeni Golov 2018-11-08 10:14:19 UTC
Created redmine issue https://projects.theforeman.org/issues/25415 from this bug

Comment 6 Brad Buckingham 2018-11-26 18:33:04 UTC
*** Bug 1638814 has been marked as a duplicate of this bug. ***

Comment 7 pm-sat@redhat.com 2018-12-06 21:06:16 UTC
Upstream bug assigned to egolov@redhat.com

Comment 8 pm-sat@redhat.com 2018-12-06 21:06:21 UTC
Upstream bug assigned to egolov@redhat.com

Comment 9 Bryan Kearney 2019-01-10 13:10:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25415 has been resolved.

Comment 11 Radovan Drazny 2019-04-28 12:24:10 UTC
Verified on Sat 6.5 Snap 25:

$ hammer host facts --id 9
--------------------|----------------
FACT                | VALUE          
--------------------|----------------
cpu                 |                
hypervisor          |                
cpu::cpu_socket(s)  | 4              
hypervisor::version | 6.7.0          
hypervisor::cluster | vMotion-Cluster
hypervisor::type    | VMware ESXi    
--------------------|----------------

Hypervisor facts reported via virt-who are present in the satellite and available via hammer (and API, of course).

Comment 16 errata-xmlrpc 2019-05-14 12:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.